<?php
$campaign_address = isset($_GET['c8']) ? $_GET['c8'] : '';

$protocol = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]";

$landingsPath = $_SERVER['DOCUMENT_ROOT'] . '/promotions/ll/landings/';

if (in_array(substr($campaign_address, 0, 5), ['fr_BE', 'nl_BE'])) {
    $landingPath = substr($campaign_address, 6);
    $geo = substr($campaign_address, 0, 5);
} else {
    $landingPath = $campaign_address;
}

$folder = $landingsPath . $landingPath;

$settingsFilePath = $folder . DIRECTORY_SEPARATOR . 'settings.json';

$name = isset($_GET['c2']) ? ' ' . $_GET['c2'] : '';

$defaultTitle = 'an iPhone 12';
$defaultImage = $protocol .substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['PHP_SELF'], '/')) . 'images/product.png';

if (file_exists($settingsFilePath)) {
    $settings = json_decode(file_get_contents($settingsFilePath), true);

    if (false === isset($geo)) {
        switch ($settings['country']) {
            case 'DE':
                $geo = 'de_DE';
                break;
            case 'ES':
                $geo = 'es_ES';
                break;
            case 'FR':
                $geo = 'fr_FR';
                break;
            case 'ID':
                $geo = 'id_ID';
                break;
            case 'IT':
                $geo = 'it_IT';
                break;
            case 'NL':
                $geo = 'nl_NL';
                break;
            case 'TH':
                $geo = 'th_TH';
                break;
            case 'UK':
                $geo = 'en_UK';
                break;
            default:
                $geo = 'en_UK';
        }
    }

    if (isset($settings['settings']['exit_title']) && isset($settings['settings']['exit_title'][$geo])) {
        $title = $settings['settings']['exit_title'][$geo];
    }
    if (isset($settings['settings']['product_image'])) {
        $imageName = $protocol . '/promotions/ll/end/uk/f-exit-deskwall-valid/images/' . $landingPath . '/' . $settings['settings']['product_image'];
    }

} else {
    $title = $defaultTitle;
    $imageName = $defaultImage;
}

switch ($campaign_address) {

    default:
        $title = 'an iPhone 12';
        $imageName = 'product.png';
        break;
        
}

$deals_splitted = [
    'silver' => [
        
        [
            'image' => 'Product-1.png',
            'title' => 'NetBoost',
            'description' => 'Supercharge your Wi-Fi with NetBoost! Eliminate dead zones, boost signal strength, and connect all your devices with simple plug-and-play.',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/AxpnGt1YPJ/?c10=1&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],
        [
            'image' => 'Product-2.png',
            'title' => 'LifeWater',
            'description' => 'Elevate hydration with LifeWater! Infuse your water with hydrogen for antioxidant benefits and more energy. USB rechargeable, leak-proof, and eco-friendly.',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/AxpnGt1YPJ/?c10=2&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],
        [
            'image' => 'Product-3.png',
            'title' => 'RYOKU EMS Foot Massager',
            'description' => 'Relax and rejuvenate with the Ryoku EMS Foot Massager! Stimulates muscles and relieves foot fatigue with EMS technology. Compact, lightweight, and easy to use anywhere.',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/AxpnGt1YPJ/?c10=3&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],        
        [
            'image' => 'Product-6.png',
            'title' => 'BeatBuds X1',
            'description' => 'Immerse yourself in sound with BeatBuds X1! Enjoy high-quality audio, noise cancellation, long battery life, and seamless connectivity—perfect for music, calls, and workouts.',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/AxpnGt1YPJ/?c10=4&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],
        [
            'image' => 'Product-5.png',
            'title' => 'AirHeat',
            'description' => 'Stay cozy with the AirHeat Portable Heater! Compact, energy-efficient, and fast heating with an adjustable thermostat and safety shut-off.',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/AxpnGt1YPJ/?c10=5&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],
        [
            'image' => 'EnergyFix.png',
            'title' => 'EnergyFix',
            'description' => 'Stabilize Your Current, Remove Dirty Electricity, Slash Your Power Bill Today!',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/AxpnGt1YPJ/?c10=6&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],

        
    ],
    'gold' => [
    ],
    'platinum' => [
    ]
];